package com.gree.mall.manager.enums;

import lombok.Getter;

@Getter
public enum WXShareFailReasonEnum {

    ACCOUNT_ABNORMAL("分账接收账户异常"),

    NO_RELATION("分账关系已解除"),

    RECEIVER_HIGH_RISK("高风险接收方"),

    RECEIVER_REAL_NAME_NOT_VERIFIED("接收方未实名"),

    NO_AUTH("分账权限已解除"),

    RECEIVER_RECEIPT_LIMIT("接收方已达收款限额"),

    PAYER_ACCOUNT_ABNORMAL("分出方账户异常"),

    INVALID_REQUEST("描述参数设置失败"),
    ;

    WXShareFailReasonEnum(String name) {
        this.name = name;
    }

    private final String name;

}
